UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMQContextEventRegistrationCompleteInfo Class Reference

Class containing information about UMQ Registration Complete Context Events. This info object is delivered with a UMQ Registration Complete Context Event, containing information identifying the queue and registration id associated with the registration complete event. More...

Inheritance diagram for com.latencybusters.lbm.UMQContextEventRegistrationCompleteInfo:

## Public Member Functions
| UMQContextEventRegistrationCompleteInfo (int flags, long queueId, String queue, UInt64 regId)
| Creates a UMQContextEventRegistrationCompleteInfo object, and initializes fields to the supplied values. More...
UInt64 | registrationId ()
| Get the registration Id associated with this registration complete info object. More...
int | flags ()
| Get informational flags for this info object. More...
long | queueId ()
| Get Queue Id for the queue associated with this info object. More...
String | queueName ()
| Get Queue name for the queue associated with this info object. More...

## Detailed Description

Class containing information about UMQ Registration Complete Context Events. This info object is delivered with a UMQ Registration Complete Context Event, containing information identifying the queue and registration id associated with the registration complete event.

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMQContextEventRegistrationCompleteInfo.UMQContextEventRegistrationCompleteInfo | ( | int | flags,
|  | long | queueId,
|  | String | queue,
|  | UInt64 | regId
| ) |  |

Creates a UMQContextEventRegistrationCompleteInfo object, and initializes fields to the supplied values.

LBMEInvalException An invalid parameter was specified.

Parameters

  flags | Informational flags.
  queueId | Queue Id of the queue.
  queue | The name of the queue the receiver registered with.
  regId | 64-bit unsigned registration Ids.

## Member Function Documentation

int com.latencybusters.lbm.UMQQueueInfo.flags | ( |  | ) |
| inherited

Get informational flags for this info object.

Returns
  Flags.

long com.latencybusters.lbm.UMQQueueInfo.queueId | ( |  | ) |
| inherited

Get Queue Id for the queue associated with this info object.

Returns
  Queue Id for the queue associated with this info object.

String com.latencybusters.lbm.UMQQueueInfo.queueName | ( |  | ) |
| inherited

Get Queue name for the queue associated with this info object.

Returns
  Queue name for the queue associated with this info object.

References com.latencybusters.lbm.LBM.UMQ_MAX_QUEUE_STRLEN.

UInt64 com.latencybusters.lbm.UMQContextEventRegistrationCompleteInfo.registrationId | ( |  | ) |

Get the registration Id associated with this registration complete info object.

Returns
  Registration Id associated with this registration complete info object.

The documentation for this class was generated from the following file:

- UMQContextEventRegistrationCompleteInfo.cs